# Interface UrlLauncher

All Superinterfaces:
  `ClientService, Serializable`

public interface UrlLauncher extends ClientService
The UrlLauncher service allows loading an URL in an external window, application or save dialog.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`openURL(String url)`
Opens the given URL.

## Method Details

### openURL

void openURL(String url)
Opens the given URL. Any HTTP URL or relative URL will be opened in a new window. Modern browser may block any attempt to open new windows, but will usually prompt the user to accept or ignore. Even if accepted, the decision may be applied to only this attempt, or only to future attempts. It could also trigger a document reload, causing a session restart. Non-HTTP URLs like "mailto" will not create a new browser window, but require the client to have a matching protocol handler registered.

Parameters:
  `url` - the URL to open